function battle_sai011(npcID)   --夏侯

	local ac=0
	for ex=1,7,1 do
		if battle.CheckNpcPlace(ex)==0 then
			if npc.GetHP(battle.GetPlaceNpcID(ex),1)<50 then
				ac=ac+1
			end
		end
	end
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if ac>2 then
		battle.MagicToNpc(0,1448,1)
	elseif ac==1 then
		for ex=1,7,1 do
			if battle.CheckNpcPlace(ex)==0 then
				if npc.GetHP(battle.GetPlaceNpcID(ex),1)<50 then
					id=battle.GetPlaceNpcID(ex)
					battle.MagicToNpc(id,1450,1)
					break
					
				end
			end
		end
	else
		n=flag.GetBattleValue(12001)
		if n<2 then
			n=n+1
			flag.SetBattleValue(12001,n)
			local id=battle.GetRndPlayer()
			battle.MagicToPlayer(id,1461,1)
		else
			flag.SetBattleValue(12001,0)
			battle.MagicToPlayer(0,1449,1)
		end
		
		
		
	end


end